summarylogtreecommitdiffstats
path: root/86box.sh
diff options
context:
space:
mode:
authorqeeg2020-09-10 17:17:03 -0500
committerqeeg2020-09-10 17:17:03 -0500
commitb186e6866921b5e784eb02bd9bae3b6db5a7f011 (patch)
treec9e693632880e09e51ce0de69f439a6cf7a44746 /86box.sh
downloadaur-b186e6866921b5e784eb02bd9bae3b6db5a7f011.tar.gz
First AUR build for 86Box
Diffstat (limited to '86box.sh')
-rw-r--r--86box.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/86box.sh b/86box.sh
new file mode 100644
index 000000000000..8e2e1af12631
--- /dev/null
+++ b/86box.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+export WINEPREFIX="$HOME/.86box/wine"
+
+if [ ! -d "$HOME"/.86box ] ; then
+ mkdir -p "$HOME"/.86box/wine || exit 1
+ ln -s /usr/share/86box/86Box.exe "$HOME"/.86box/86Box.exe || exit 1
+ ln -s /usr/share/86box/discord_game_sdk.dll "$HOME"/.86box/discord_game_sdk.dll || exit 1
+ ln -s /usr/share/86box/freetype.dll "$HOME"/.86box/freetype.dll || exit 1
+ ln -s /usr/share/86box/gsdll32.dll "$HOME"/.86box/gsdll32.dll || exit 1
+ ln -s /usr/share/86box/libfluidsynth.dll "$HOME"/.86box/libfluidsynth.dll || exit 1
+fi
+
+if [ ! -f "$HOME"/.cemu/wine/drive_c/windows/syswow64/vcruntime140.dll ]; then
+ if [ -n "`whereis zenity|grep bin`" ]; then
+ zenity --info --title '86Box' --text 'Installing wine dependencies.\n\nThe process may take a few minutes'
+ fi
+ winetricks -q vcrun2017
+ winetricks settings win7
+fi
+cd ~/.86box
+wine 86Box.exe "$@"